Subject: RE: [Geopriv] NENA Requirements

From: "Marc Linsner" <[email-masked]>
Date: Tue, 13 Mar 2007 22:31:50 -0400

Richard,

So you are proposing that no entity shall talk to a PSAP without such
'credentials'?  This is certainly the case with VPNs, no credentials, no
talky.  Again, lots of things can be accomplished in an Enterprise IP
environment extension over the Internet when one entity controls both ends,
all devices and all credentials.  Maybe we should allow the PSAP to control
all VoIP devices?  Wait, I'll bet we can leverage prior art in that area.
:^)

-Marc-

> -----Original Message-----
> From: Richard Barnes [mailto:[email-masked]] 
> Sent: Tuesday, March 13, 2007 8:57 PM
> To: Marc Linsner
> Subject: Re: [Geopriv] NENA Requirements
> 
> Exactly!  And we shall know them by their credentials...
> 
> The Internet is all about replacing physical infrastructure 
> with logical relationships.  This gives you the flexibility, 
> but sometimes you want some of the rigidity of a physical 
> infrastructure, and the way you get that is crypto.
> 
> Look at VPNs, for example.  Companies have private IP 
> networks, and they do certain things within those networks 
> that they want to stay within those networks.  For a long 
> time, that meant having a single, physically contiguous 
> network, but now it's commonplace to have physically 
> disparate entities that are joined together by VPN gateways.  
> The tunnel connections get the confidentiality of a wire from 
> traffic encryption and the access control of a a wire from 
> strong authentication.
> 
> I'm not an expert on this, but as I understand it the 
> scenario today, PSAPs and various access providers have 
> physical peering relationships, and (at least in the PSTN) 
> physically centralized control over positioning of end 
> devices.  One central goal of GEOPRIV is to extend the 
> guarantees provided by these relationships to the context of 
> the Internet.
> 
> --Richard
> 
> 
> Marc Linsner wrote:
> > James, Richard,
> > 
> > We are not moving to an IP-based infrastructure.  We are 
> moving to the 
> > Internet, where the are dragons and lots of scary things.
> > 
> > -Marc-
> > 
> >> -----Original Message-----
> >> From: Winterbottom, James [mailto:[email-masked]]
> >> Sent: Tuesday, March 13, 2007 6:15 PM
> >> To: Richard Barnes; Andrew Newton
> >> Cc: Ted Hardie; Dawson, Martin; Marc Linsner; GEOPRIV
> >> Subject: RE: [Geopriv] NENA Requirements
> >>
> >> This is very well stated and I completely agree with you Richard.
> >>
> >>> -----Original Message-----
> >>> From: Richard Barnes [mailto:[email-masked]]
> >>> Sent: Wednesday, 14 March 2007 2:56 AM
> >>> To: Andrew Newton
> >>> Cc: Ted Hardie; Dawson, Martin; Marc Linsner; GEOPRIV
> >>> Subject: Re: [Geopriv] NENA Requirements
> >>>
> >>>> Location signing has been offered as a requirement.  It has been
> >> pointed
> >>>> out that location signing is a solution and not a 
> requirement.  It
> >> has
> >>>> also been pointed out that the notion of network topology that is
> >> being
> >>>> applied to VoIP by this solution does not match the way
> >> the Internet
> >>> works.
> >>>
> >>> However, the security of voice services (emergency calling in
> >>> particular) depends centrally on the trust relationships that are 
> >>> currently encoded in the topology of the PSTN.  These trust 
> >>> relationships are what need to persist through the 
> transition to an 
> >>> IP-based infrastructure.  Public-key cryptography is how trust 
> >>> relationships are codified and communicated in the modern 
> Internet 
> >>> community.  From the little I know about it, NENA's VESA
> >> effort seems
> >>> like a good example of this translation.
> >>>
> >>> --Richard
> >>>
> > 
> > 

_______________________________________________
Geopriv mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/geopriv